phpLDAPadmin

# Class: Visitor

Source Location: /templates/3rdParty/pla/lib/Visitor.php

### Class Overview

Abstract Visitor class

#### Author(s):

### Variables

- $server_id

### Methods

- getServer
- getServerID
- __call

### Child classes:

PageRender
  PageRender class

### Class Details

[line 20]
Abstract Visitor class

#### Tags:

abstract: |

[ Top ]

### Class Variables

#### $server_id =

[line 22]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

### Class Methods

### method getServer [line 92]

`object DataStore getServer( )`

Return this LDAP Server object

#### Tags:

return: | Server
access: | protected

[ Top ]

### method getServerID [line 77]

`int getServerID( )`

Return the LDAP server ID

#### Tags:

return: | Server ID
access: | public

[ Top ]

### method __call [line 24]

`void __call( $method, $args)`

#### Tags:

access: | public

#### Parameters:

| $method |
| $args |

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:30:16 +0100 by phpDocumentor 1.4.1